Skip to content
Developer

StudioTraining / Actions

Studio training11 EndpointsCRM / StudioTraining / Actions

A plan with its days, exercises and the referenced catalogue entries

GET/api/crm/studio_training/plan/{identifier}/tree

Path parameters

identifierrequiredstring

Responses

200plan, days, exercises, presetsobject

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan/42/tree \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{}

Copy a plan: template to a member plan, member plan to a template, or a duplicate

POST/api/crm/studio_training/plan/{identifier}/copy

Path parameters

identifierrequiredstring

Request body application/json

object

Responses

200plan, days, exercises, presets of the copyobject

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan/42/copy \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{}

Store the order of the days of a plan

POST/api/crm/studio_training/plan/{identifier}/reorder_days

Path parameters

identifierrequiredstring

Request body application/json

object

Responses

200List of StudioTrainingPlanDayarray<object>

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan/42/reorder_days \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
[
  {}
]

Store the order of the exercises of a plan day, exercises may be moved in from another day of the same plan

POST/api/crm/studio_training/plan_day/{identifier}/reorder_exercises

Path parameters

identifierrequiredstring

Request body application/json

object

Responses

200List of StudioTrainingPlanExercisearray<object>

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/plan_day/42/reorder_exercises \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
[
  {}
]

A session with all sets

GET/api/crm/studio_training/session/{identifier}/with_entries

Path parameters

identifierrequiredstring

Responses

200session, entriesobject

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session/42/with_entries \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{}

Update a session and replace all its sets

PUT/api/crm/studio_training/session/{identifier}/with_entries

Path parameters

identifierrequiredstring

Request body application/json

object

Responses

200session, entriesobject

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session/42/with_entries \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{}

Update a session and replace all its sets

PATCH/api/crm/studio_training/session/{identifier}/with_entries

Path parameters

identifierrequiredstring

Request body application/json

object

Responses

200session, entriesobject

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session/42/with_entries \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{}

Document a session with all sets for a training person

POST/api/crm/studio_training/session/with_entries

Request body application/json

object

Responses

200session, entriesobject

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session/with_entries \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{}

Progress of a training person: session summary, sessions per week, per exercise series and measurement series

GET/api/crm/studio_training/person_data/{identifier}/progress

Path parameters

identifierrequiredstring

Query parameters

daysintegerHistory window in days, default 365
presetintegerLimit the exercise series to one StudioTrainingPreset id

Responses

200summary, weekly_sessions, exercises, measurementsobject

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/person_data/42/progress \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{}

The sets of the last session per exercise of a plan day of the training person

GET/api/crm/studio_training/person_data/{identifier}/last_performance

Path parameters

identifierrequiredstring

Query parameters

planDayrequiredintegerStudioTrainingPlanDay id

Responses

200List of plan_exercise_id, preset_id, session_id, performed_at, setsarray<object>

Request
curl --request GET \
  --url 'https://your-instance.iw-erp.de/api/crm/studio_training/person_data/42/last_performance?planDay=1' \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {}
]

The members the logged in person looks after as personal trainer, with active plan and key figures

GET/api/crm/studio_training/linked_members

Responses

200List of person_data, active_plan, last_session_at, sessions_last_28_days, review_datearray<object>

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/linked_members \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {}
]